Bug 8743 - configure.developer build is broken.
configure.developer build is broken.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
x64 Solaris
: P5 minor
: ---
Assigned To: Karolin Seeger
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 19:48 UTC by Ira Cooper
Modified: 2012-02-12 19:58 UTC (History)
1 user (show)

See Also:


Attachments
First version of the patch (645 bytes, patch)
2012-02-03 19:49 UTC, Ira Cooper
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ira Cooper 2012-02-03 19:48:02 UTC
configure.developer is broken in master and v3-6-test for Solaris due to not including alloca.h correctly, in lib/popt/system.h.

Patch is enclosed.
Comment 1 Ira Cooper 2012-02-03 19:49:46 UTC
Created attachment 7291 [details]
First version of the patch
Comment 2 Jeremy Allison 2012-02-04 00:48:50 UTC
Comment on attachment 7291 [details]
First version of the patch

Looks good to me and applies cleanly to 3.6.next.

Jeremy.
Comment 3 Jeremy Allison 2012-02-04 00:49:14 UTC
Re-assigning to Karolin for inclusion in 3.6.next.
Comment 4 Karolin Seeger 2012-02-12 19:57:39 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!